%define url_ver %(echo %{version} | cut -d. -f1,2)

# to get pkg build with copr
%{!?_real_vendor:%global _real_vendor mageia}

Summary:	Xfce Session Manager
Name:		xfce4-session
Version:	4.19.2
Release:	%mkrel 2
License:	GPLv2+
Group:		Graphical desktop/Xfce
URL:		https://www.xfce.org
Source0:	https://archive.xfce.org/src/xfce/%{name}/%{url_ver}/%{name}-%{version}.tar.bz2
Source2:	xfce4.pam
# to pre-select xfce4 session in lightdm greeter when booting mageia first time after install
Source3:	xfce4-lightdm.conf
# Upstream patches from GIT:
#
# Mageia patches
Patch:		0001-Create-and-apply-Mageia-default-settings.patch
# Originally from Fedora
# Patch startxfce4 to keep it on the same vty for logind
# https://bugzilla.redhat.com/show_bug.cgi?id=1117682
Patch:		xfce-session-startxfce4.patch

BuildRequires:  git-core
BuildRequires:	intltool
BuildRequires:	iceauth
BuildRequires:	xfce4-dev-tools
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	pkgconfig(libxfce4util-1.0) >= 4.19.2
BuildRequires:	pkgconfig(libxfce4windowing-0) >= 4.19.2
BuildRequires:	pkgconfig(libxfce4ui-2) >= 4.19.2
BuildRequires:	pkgconfig(libxfce4panel-2.0) >= 4.18.0
BuildRequires:	pkgconfig(libwnck-3.0)
BuildRequires:	pkgconfig(libsystemd)
BuildRequires:	pkgconfig(polkit-gobject-1)
Requires:	usermode-consoleonly
Requires:	mate-polkit
Requires:	%{_real_vendor}-xfce-config >= 4.100.5.5

# Pull xdg-desktop-portal backends for apps using the feature
Requires:	xdg-desktop-portal-gtk
Requires:	xdg-desktop-portal-xapp

%description
Xfce4-session is a session manager for Xfce. Its task is to save the state of
your desktop (opened applications and their location) and restore it during a
next startup. You can create several different sessions and choose one of
them on startup.

%prep
%autosetup -p1 -Sgit

%build
%xdt_autogen
%configure \
	--disable-static
%make_build

%install
%make_install

# (wally) these files are in %{_real_vendor}-xfce-config package
rm -rf %{buildroot}%{_sysconfdir}/xdg/autostart/xfce4-tips-autostart.desktop
rm -rf %{buildroot}%{_sysconfdir}/xdg/xfce4/xfconf/xfce-perchannel-xml/xfce4-session.xml
rm -rf %{buildroot}%{_sysconfdir}/xdg/xfce4/Xft.xrdb

# pam
install -Dm 644 %{SOURCE2} %{buildroot}%{_sysconfdir}/pam.d/xfce4

# to pre-select xfce4 session in lightdm greeter when booting mageia first time after install
install -Dm 644 %{SOURCE3} %{buildroot}%{_sysconfdir}/lightdm/lightdm.conf.d/55-%{_real_vendor}-xfce.conf

# don't ship .la
find %{buildroot} -name "*.la" -delete

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS ChangeLog NEWS
%doc doc/FAQ doc/README.Kiosk README.md
%{_bindir}/startxfce4
%{_bindir}/xfce4-session
%{_bindir}/xfce4-session-logout
%{_bindir}/xfce4-session-settings
%{_bindir}/xflock4
%{_datadir}/applications/*.desktop
%{_iconsdir}/hicolor/*/*/*.{png,svg}
%dir %{_libdir}/xfce4/session/
%{_libdir}/xfce4/session/xfsm-shutdown-helper
%{_mandir}/man1/*
%{_datadir}/polkit-1/actions/org.xfce.session.policy
%{_datadir}/xsessions/xfce.desktop
%{_datadir}/wayland-sessions/xfce-wayland.desktop
%{_datadir}/xdg-desktop-portal/xfce-portals.conf
%{_sysconfdir}/lightdm/lightdm.conf.d/55-%{_real_vendor}-xfce.conf
%{_sysconfdir}/xdg/xfce4/xinitrc
%{_sysconfdir}/pam.d/xfce4


%changelog
* Sat Aug 17 2024 wally <wally> 4.19.2-2.mga10
+ Revision: 2086803
- require xdg-desktop-portal gtk and xapp backends

* Sun Apr 21 2024 wally <wally> 4.19.2-1.mga10
+ Revision: 2060340
- new version 4.19.2

* Wed May 31 2023 wally <wally> 4.18.3-1.mga9
+ Revision: 1960105
- new version 4.18.3

* Sun Apr 02 2023 wally <wally> 4.18.2-1.mga9
+ Revision: 1951179
- new version 4.18.2

* Fri Feb 10 2023 wally <wally> 4.18.1-1.mga9
+ Revision: 1940006
- new version 4.18.1

* Fri Dec 16 2022 wally <wally> 4.18.0-1.mga9
+ Revision: 1923759
- new version 4.18.0

* Sat Dec 03 2022 wally <wally> 4.17.2-1.mga9
+ Revision: 1915984
- new version 4.17.2
- drop old and unneeded %%posttrans scriptlets
- drop old obsoletes

* Fri Nov 04 2022 wally <wally> 4.17.1-1.mga9
+ Revision: 1902843
- new version 4.17.1

* Fri Sep 16 2022 wally <wally> 4.17.0-1.mga9
+ Revision: 1889125
- new version 4.17.0
- drop extra screen lockers patch as non-default screensavers can be used by setting /general/LockCommand variable via xfce4-settings-editor

* Mon Apr 04 2022 umeabot <umeabot> 4.16.0-3.mga9
+ Revision: 1843431
- Mageia 9 Mass Rebuild

* Sat Dec 26 2020 wally <wally> 4.16.0-2.mga8
+ Revision: 1663798
- export XDG_CONFIG_HOME and XDG_CACHE_HOME when starting Xfce

* Wed Dec 23 2020 wally <wally> 4.16.0-1.mga8
+ Revision: 1663186
- new version 4.16.0

* Sat Nov 07 2020 wally <wally> 4.15.1-1.mga8
+ Revision: 1643530
- new version 4.15.1

* Sat Aug 15 2020 wally <wally> 4.15.0-1.mga8
+ Revision: 1614145
- new version 4.15.0

* Sun Mar 29 2020 wally <wally> 4.14.2-1.mga8
+ Revision: 1562126
- new version 4.14.2

* Wed Feb 19 2020 umeabot <umeabot> 4.14.1-3.mga8
+ Revision: 1543189
- Mageia 8 Mass Rebuild

* Sat Jan 18 2020 wally <wally> 4.14.1-2.mga8
+ Revision: 1481430
- drop orage parts from xinitrc patch
- replace deprecated %%configure2_5x

* Sat Jan 11 2020 wally <wally> 4.14.1-1.mga8
+ Revision: 1477569
- new version 4.14.1

* Mon Aug 12 2019 wally <wally> 4.14.0-1.mga8
+ Revision: 1428930
- new version 4.14.0

* Sun Jul 28 2019 wally <wally> 4.13.4-1.mga8
+ Revision: 1424742
- new version 4.13.4
- no more splash engine lib/dev pkg

* Mon Jul 01 2019 wally <wally> 4.13.3-1.mga8
+ Revision: 1417263
- new version 4.13.3

* Sun May 19 2019 wally <wally> 4.13.2-1.mga7
+ Revision: 1398465
- new version 4.13.2
- drop patches from upstream
- rediff other patches
- update description

* Sat May 11 2019 wally <wally> 4.13.1-6.mga7
+ Revision: 1397231
- add upstream patches:
  - xinitrc: use command shell builtin instead of which
  - xinitrc: remove fallback path when xfce4-session is not installed
  - xinitrc: use exec to launch xfce4-session
  - xflock4: don't override PATH with hardcoded value
- update our xinitrc patch a bit (use cp -a instead of cp -r)

* Sun Dec 02 2018 wally <wally> 4.13.1-5.mga7
+ Revision: 1337553
- add xfce4-screensaver support to xflock4 and prefer it before others

* Sun Sep 23 2018 umeabot <umeabot> 4.13.1-4.mga7
+ Revision: 1301880
- Mageia 7 Mass Rebuild

* Sat Aug 04 2018 wally <wally> 4.13.1-3.mga7
+ Revision: 1247255
- rebuild due to BS issues
- enable .desktop file check when building as xsession files are skipped

* Fri Aug 03 2018 wally <wally> 4.13.1-1.mga7
+ Revision: 1247149
- new version 4.13.1
- drop upstreamed patches/fixes

* Sat Feb 03 2018 wally <wally> 4.13.0-4.mga7
+ Revision: 1198679
- rename lightdm config file

* Sun Oct 08 2017 wally <wally> 4.13.0-3.mga7
+ Revision: 1170145
- add upstream patches to fix xfce4-session-settings segfaults when trying to add autostart entry (mga#21815, xfce#13271)

* Fri Sep 29 2017 wally <wally> 4.13.0-1.mga7
+ Revision: 1161640
- new version 4.13.0
- drop patches from upstream

* Fri Feb 24 2017 wally <wally> 4.12.1-11.mga6
+ Revision: 1087649
- remove xsession leftovers on update also from /etc/X11/dm/Sessions

* Wed Jun 08 2016 tv <tv> 4.12.1-10.mga6
+ Revision: 1020789
- adjust BRs for latest systemd

* Wed Feb 17 2016 umeabot <umeabot> 4.12.1-9.mga6
+ Revision: 963565
- Mageia 6 Mass Rebuild

* Sun Sep 27 2015 wally <wally> 4.12.1-8.mga6
+ Revision: 884250
- add patches from upstream git to fix several bugs reported to upstream

* Sat Sep 26 2015 wally <wally> 4.12.1-7.mga6
+ Revision: 883989
- ensure xfce4-session is installed after desktop-common-data without fndSession

* Sat Sep 26 2015 wally <wally> 4.12.1-6.mga6
+ Revision: 883835
- rebuild to get xsession file back after desktop-common-data update most probably removed it from users systems

* Tue Sep 15 2015 wally <wally> 4.12.1-5.mga6
+ Revision: 879580
- merge all splash engines into main pkg

* Tue Sep 15 2015 wally <wally> 4.12.1-4.mga6
+ Revision: 879575
- switch to upstream xsessions .desktop file

* Sat Jun 20 2015 wally <wally> 4.12.1-3.mga6
+ Revision: 836222
- update lightdm config after syntax change

* Thu Mar 19 2015 wally <wally> 4.12.1-2.mga5
+ Revision: 818952
- fix currently non-working xflock4
- add support for mate-screesaver to xflock4

* Mon Mar 16 2015 wally <wally> 4.12.1-1.mga5
+ Revision: 818654
- new version 4.12.1
- rebuild for new libxfce4ui

* Tue Mar 03 2015 wally <wally> 4.12.0-1.mga5
+ Revision: 817399
- new version 4.12.0
- drop upstreamed patches

* Sat Oct 25 2014 wally <wally> 4.11.0-6.mga5
+ Revision: 793106
- drop obsolete slimlock from xflock4
- prefer gnome-screensaver before xscreensaver

* Wed Oct 15 2014 umeabot <umeabot> 4.11.0-5.mga5
+ Revision: 747325
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 4.11.0-4.mga5
+ Revision: 690629
- Mageia 5 Mass Rebuild

* Tue Apr 22 2014 wally <wally> 4.11.0-3.mga5
+ Revision: 617423
- explicitly require mate-polkit for polkit-agent (mga#13247)

* Sun Feb 23 2014 wally <wally> 4.11.0-2.mga5
+ Revision: 596036
- rediff xinitrc patch to also copy default orage settings if needed
- drop unneeded pre/post requires

* Sun Feb 23 2014 wally <wally> 4.11.0-1.mga5
+ Revision: 595891
- new version 4.11.0

* Tue Feb 18 2014 wally <wally> 4.10.1-7.mga5
+ Revision: 594363
- add patch from Fedora to support also suspend/hibernate through systemd-logind

* Sun Dec 22 2013 wally <wally> 4.10.1-6.mga4
+ Revision: 559750
- add config file for lightdm to pre-select Xfce4 in lightdm greeter on first boot after mga install (mga#11613)
- fix 'typos' in wmsession.d file

* Sat Oct 19 2013 umeabot <umeabot> 4.10.1-5.mga4
+ Revision: 529901
- Mageia 4 Mass Rebuild

* Sun Jul 14 2013 wally <wally> 4.10.1-4.mga4
+ Revision: 454051
- add slimlock support to xflock4

* Sun Jun 30 2013 wally <wally> 4.10.1-3.mga4
+ Revision: 448624
- add patch to set XDG_CURRENT_DESKTOP on startup

* Wed Jun 19 2013 wally <wally> 4.10.1-2.mga4
+ Revision: 445097
- add light-locker support to xflock4 and prefer it before xscreensaver

* Thu May 23 2013 wally <wally> 4.10.1-1.mga4
+ Revision: 425068
- new version 4.10.1
- drop patches from upstream

* Mon Jan 14 2013 umeabot <umeabot> 4.10.0-10.mga3
+ Revision: 386865
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 29 2012 wally <wally> 4.10.0-9.mga3
+ Revision: 336245
- fix build with new automake
- rediff xinitrc patch after Terminal was renamed to xfce4-terminal and config file location changed

* Sat Nov 10 2012 wally <wally> 4.10.0-8.mga3
+ Revision: 316846
- add patch from upstream to fix duplicated accelerators

* Tue Oct 23 2012 wally <wally> 4.10.0-7.mga3
+ Revision: 309508
- drop session .desktop file

* Tue Oct 23 2012 wally <wally> 4.10.0-6.mga3
+ Revision: 309504
- add patches from upstream
  * fix logic of the --fast action (xfce#8857)
  * handle multiple interactive session save (xfce#5379)

* Thu Oct 18 2012 wally <wally> 4.10.0-5.mga3
+ Revision: 308011
- add a patch from upstream bugzilla to add systemd support

* Fri Oct 05 2012 wally <wally> 4.10.0-4.mga3
+ Revision: 302960
- use more generic require for polkit agent to allow users to use e.g. lxpolkit

* Thu May 31 2012 wally <wally> 4.10.0-3.mga3
+ Revision: 252498
- kill configure option too

* Thu May 31 2012 wally <wally> 4.10.0-2.mga3
+ Revision: 252494
- kill unneeded gnome-keyring dep (patch from upstream git)

* Mon May 28 2012 wally <wally> 4.10.0-1.mga3
+ Revision: 248490
- new version 4.10.0
- adapt parts from xfce-utils which is now obsolete
- clean .spec

* Mon Feb 13 2012 wally <wally> 4.8.3-1.mga2
+ Revision: 208440
- new version 4.8.3
- clean BRs

* Sat Feb 11 2012 wally <wally> 4.8.2-3.mga2
+ Revision: 207154
- drop P0 (there's no --force switch in xfsettingsd anymore, mga#4468)
- drop lib require from main pkg

* Sat Sep 24 2011 wally <wally> 4.8.2-2.mga2
+ Revision: 147334
- D'oh!
- really fix libname

* Sat Sep 24 2011 wally <wally> 4.8.2-1.mga2
+ Revision: 147289
- new version 4.8.2
- fix libname

* Fri Apr 29 2011 ahmad <ahmad> 4.8.1-3.mga1
+ Revision: 93347
- Add a patch from Debian to start xfsettingsd with --force to replace a
  spurious gnome-settings-daemon instance left by gdm

* Sat Feb 19 2011 ahmad <ahmad> 4.8.1-2.mga1
+ Revision: 53950
- require polkit-gnome instead of policykit-gnome

* Thu Feb 17 2011 ahmad <ahmad> 4.8.1-1.mga1
+ Revision: 53267
- update to 4.8.1
- drop redundant BR (fwang)

* Thu Feb 17 2011 ahmad <ahmad> 4.7.3-2.mga1
+ Revision: 53070
- replace X11-devel with libsm-devel
- drop BR perl(XML::Parser), it's already pulled in the chroot
- disable glade2-devel BR, not needed, I think
- change requires to %%_real_vendor-xfce-config
- drop old patches
- don't ship .a and .la
- imported package xfce4-session


* Thu Jan 06 2011 Tomasz Pawel Gajc <tpg@mandriva.org> 4.7.3-1mdv2011.0
+ Revision: 629115
- update to new version 4.7.3

* Sat Dec 04 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 4.7.2-1mdv2011.0
+ Revision: 609366
- update to new version 4.7.2

* Sat Nov 06 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 4.7.1-1mdv2011.0
+ Revision: 593835
- update to new version 4.7.1
- disable patch 1
- drop some conditions in spec file for mdv older than 20090

* Sun Sep 19 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 4.7.0-2mdv2011.0
+ Revision: 579846
- Patch1: reuse existing ConsoleKit sessions

* Sat Sep 18 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 4.7.0-1mdv2011.0
+ Revision: 579372
- update to new version 4.7.0
- fix file list
- adjust buildrequires
- disable patch 0

* Fri Jul 16 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 4.6.2-1mdv2011.0
+ Revision: 553890
- update to new version 4.6.2

* Thu Jun 03 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 4.6.1-3mdv2010.1
+ Revision: 547055
- Patch0: fix gnome-keyring support (upstream xfce bug #5912)

* Fri May 07 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 4.6.1-2mdv2010.1
+ Revision: 543220
- rebuild for mdv 2010.1

* Tue Apr 21 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 4.6.1-1mdv2010.0
+ Revision: 368577
- update to new version 4.6.1

* Sun Apr 05 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 4.6.0-3mdv2009.1
+ Revision: 364198
- Patch0: don't crash when NULL pointer is passed
- Patch1: fix default value for EnableTcp
- drop useless stuff

* Thu Mar 05 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 4.6.0-2mdv2009.1
+ Revision: 349228
- rebuild whole xfce

* Sat Feb 28 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 4.6.0-1mdv2009.1
+ Revision: 346150
- update to new version 4.6.0

* Mon Jan 26 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 4.5.99.1-1mdv2009.1
+ Revision: 333929
- update to new version 4.5.99.1

* Wed Jan 14 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 4.5.93-1mdv2009.1
+ Revision: 329517
- update to new version 4.5.93

* Mon Nov 24 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 4.5.92-3mdv2009.1
+ Revision: 306422
- pre requires on mandriva-xfce-config

* Mon Nov 24 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 4.5.92-2mdv2009.1
+ Revision: 306419
- xfce4-session.xml file is in mandriva-xfce-config package
- post requires on mandriva-xfce-config
- drop Source1 and patches 4 and 7 as they are not needed at all
- add full path for the Source0

* Sat Nov 15 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 4.5.92-1mdv2009.1
+ Revision: 303498
- update to new version 4.5.92 (Xfce 4.6 Beta 2 Hopper)
- remove buildrequires on libgdk_pixbuf2.0-devel
- pm-utils are required by xfce4-power-manager
- do not suggests sudo anymore
- require usermode-consoleonly
- do not build static libraries

* Thu Oct 16 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 4.5.91-1mdv2009.1
+ Revision: 294512
- Xfce4.6 beta1 is landing on cooker
- disable all patches, probably some of them are still useful, will investigate later
- fix file list
- bump apiver
- tune up buildrequires
- obsolete old library
- requires policykit-gnome
- Patch10: new version

* Fri Sep 05 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 4.4.2-12mdv2009.0
+ Revision: 281321
- Patch11: use dbus-glib for configure script
- Patch12: update translation for logoff dialog box
- suggests sudo

* Thu Aug 21 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 4.4.2-11mdv2009.0
+ Revision: 274449
- Patch10: speed up xfce startup, gain in speed is about 1 sec. (patch taken from xfce mailing list)

* Tue Aug 19 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 4.4.2-10mdv2009.0
+ Revision: 274072
- Patch9: do not spawn another gnome-keyring-daemon, if one is already running (upstream bug #3007)

* Sat Jun 28 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 4.4.2-9mdv2009.0
+ Revision: 229843
- enable patch 6, fixes underlinking problems
- suggest fortune-mod

  + Anssi Hannula <anssi@mandriva.org>
    - fix icons.patch to make xdt-autogen succeed (lines wrongly ending in
      backslash)

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Mon May 12 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 4.4.2-8mdv2009.0
+ Revision: 206275
- change sysconfdir from /etc/X11/xdg to /etc/xdg only for Mandriva releases newer than 2008.1

* Wed Mar 19 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 4.4.2-7mdv2008.1
+ Revision: 188938
- fix libification introduced in last commit

* Wed Mar 19 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 4.4.2-6mdv2008.1
+ Revision: 188854
- Patch7: add missing icon xfce4-autostart-editor.png
- spec file clean

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Dec 19 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 4.4.2-5mdv2008.1
+ Revision: 133073
- rediff patch 7,  remove xfsm-shutdown.svg icon
- enable legacy session management, fixes mdv bug #29853

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Nov 30 2007 Jérôme Soyer <saispo@mandriva.org> 4.4.2-4mdv2008.1
+ Revision: 114057
- Add configure option

* Sun Nov 25 2007 Jérôme Soyer <saispo@mandriva.org> 4.4.2-3mdv2008.1
+ Revision: 111974
- Add more beautiful icons on quit dialogbox
- Add more beautiful icons on quit dialogbox

* Tue Nov 20 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 4.4.2-2mdv2008.1
+ Revision: 110667
- do not package COPYING and INSTALL files
- add missing buildrequires on libGConf2-devel

* Sun Nov 18 2007 Jérôme Soyer <saispo@mandriva.org> 4.4.2-1mdv2008.1
+ Revision: 109978
- New release 4.4.2

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - use upstream tarball name as a real name
    - use upstream name

* Sun Sep 23 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 4.4.1-11mdv2008.0
+ Revision: 92364
- update patch 5 (logout dialog)

* Fri Sep 21 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 4.4.1-10mdv2008.0
+ Revision: 91881
- exclude config files, which are now in mandriva-xfce-config package

* Tue Sep 11 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 4.4.1-9mdv2008.0
+ Revision: 84450
- since there is suspend/hibernate option in logout menu, then pm-utils should be required

* Fri Sep 07 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 4.4.1-8mdv2008.0
+ Revision: 81907
- remove old patch 4, replace it with new one since all conf files are handle by mandriva-xfce-config package
- provide patch8, which make use of GtkFileChooser

* Tue Jun 26 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 4.4.1-7mdv2008.0
+ Revision: 44263
- fix file list
- new devel library policy
- disable legacy X11R5 session management
- move Source 1 and 2 to the xfce-config package
- adjust provides/obsoletes

* Thu Jun 07 2007 Anssi Hannula <anssi@mandriva.org> 4.4.1-6mdv2008.0
+ Revision: 36215
- rebuild with correct optflags

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - move balou splash engine to separate package (i hope someone will make a mandriva theme :)
    - rediff P4 (splash should be disabled now)

* Mon Jun 04 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 4.4.1-4mdv2008.0
+ Revision: 35071
- provide patch 5
  o add suspend and hibernate options to the session dialog
  o shutdown without a password
- provide patch 6 and 7
- provide Source 3 (icons for suspend/hibernate stolen from gnome-power-manager :)
- add requires on fortune-mod (tips&tricks works now)
- add buildrequires on dbus-glib-devel
- disable splash
- update description
- use macros in %%post and %%postun
- adjust configure options
- spec file clean

* Thu May 31 2007 Jérôme Soyer <saispo@mandriva.org> 4.4.1-3mdv2008.0
+ Revision: 33091
- Add autostart

* Fri May 25 2007 Jérôme Soyer <saispo@mandriva.org> 4.4.1-2mdv2008.0
+ Revision: 31093
- Add mandriva default theme

* Thu Apr 19 2007 Jérôme Soyer <saispo@mandriva.org> 4.4.1-1mdv2008.0
+ Revision: 14934
- New release 4.4.1

